Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 226605

Summary: net-misc/siproxd: autoconf/autoreconf/automake/libtool called directly
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: voip herd (OBSOLETE) <voip+disabled>
Status: RESOLVED FIXED    
Severity: normal CC: voip+disabled, volkmar
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 226305    
Attachments: Patch switching to eautoreconf

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 11:57:01 UTC
Please never call autotools directly, instead use eautoreconf (or eautomake, and JUST THESE TWO) from autotools.eclass. If you have any reason why those don't work, please let me know to fix them.

Thanks,
Diego
Comment 1 Łukasz Damentko (RETIRED) gentoo-dev 2008-08-11 00:41:57 UTC
Reassigning back to herd since Stefan has been retired as a Gentoo Developer (#27693).
Comment 2 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-14 22:37:15 UTC
Created attachment 182073 [details, diff]
Patch switching to eautoreconf

Actually, only siproxd-0.5.11 is suffering of this bug.
This patch is fixing it.

But, in my opinion, as 0.5.11 is keyworded "~x86" and 0.5.13 and 0.7.0 are keyworded "amd64 x86", 0.5.11 ebuild could be simply removed.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-16 18:47:49 UTC
removed.